# Tensor Database

## Overview of Deep Lake's Managed Tensor Database

#### Deep Lake offers a Managed Tensor Database for a variety of dataset operations. The database is serverless, which simplifies self-hosting and substantially lowers costs. Currently, it only supports dataset queries, including vector search, but additional features for creating and modifying data being added.

To create a Deep Lake dataset in the Managed Tensor Database, please specify `dataset_path = hub://org_id/dataset_name` and `runtime = {"tensor_db": True}` during dataset creation. [Full details on path and storage management are available here](/v3.6.3/storage-and-credentials/storage-options.md).

### Architecture

The Managed Tensor Database is serverless and can deployed in the user's VPC.&#x20;

### Interfaces for the Managed Database

{% content-ref url="/pages/EFhS3VUnKNCglRk6PJbX" %}
[REST API](/v3.6.3/enterprise-features/managed-database/rest-api.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v3.activeloop.ai/v3.6.3/enterprise-features/managed-database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
